<?php
namespace Teknisa\MAN\Controllers;

use Zeedhi\Framework\DTO;
use Zeedhi\Framework\DTO\Response\Notification;
use Zeedhi\Framework\DataSource;
use Zeedhi\Framework\DataSource\Manager;
use Zeedhi\Framework\DataSource\ParameterBag;
use Zeedhi\Framework\DataSource\DataSet;
use Zeedhi\Framework\DataSource\FilterCriteria;
use Teknisa\MAN\Services;

class Produto extends \Teknisa\MAN\Controllers\TeknisaCrud {
	
	protected $dataSourceProduto	= 'ProdutosRepo';
	protected $dataSourceProdutoFilter	= 'ProdutoRepo_Filter';
	protected $dataSourceProdutosLista = 'ProdutosListaRepo';  
	protected $parameterBagColumns  = array('NRORG', 'CDFILIAL');   
	

	public function __construct ($crudService, $parameterBag, $entityManager) {   
		$this->crudService 				= $crudService;
		$this->parameterBag 			= $parameterBag;
		$this->entityManager 			= $entityManager;
	}

    public function find(DTO\Request\Filter $request, DTO\Response $response){
        $this->dataSourceName = 'ProdutosRepo';
        parent::find($request,$response);  
    }
    
    public function findProd(DTO\Request\Filter $request, DTO\Response $response){
        $this->dataSourceName = 'ProdutoRepo_Filter';
        parent::find($request,$response);
    }
    public function findProdLista(DTO\Request\Filter $request, DTO\Response $response){
        $this->dataSourceName = 'ProdutosListaRepo';
        parent::find($request,$response);
    }     
    
}